Class | MainController
In: | lib/proto/controller/main.rb
Parent: | Controller

Default url mappings are:

     a controller called Main is mapped on the root of the site: /
     a controller called Something is mapped on: /something

If you want to override this, add a line like this inside the class

     map '/otherurl'

this will force the controller to be mounted on: /otherurl

### Methods

index notemplate

### Public Instance methods

index()

the index action is called automatically when no other action is specified

notemplate()

the string returned at the end of the function is used as the html body if there is no template for the action. if there is a template, the string is silently ignored

[Validate]